# BFR - A Modular Bulk File Renaming Utility
Inspired by [this project](git.lastassault.de/speatzle/BulkFileRenamer) by _speatzle.

## Features
- A mordern scalable UI (Avalonia)
- A modular system for renaming files
- Regex support

### Operations
- Add, Remove, Replace, Overwrite, Number, Sort

### Upcoming Features
- [Case Conversion](https://git.lastassault.de/adroslice/bfr/issues/1)
- [Save-/Loadable Profiles](https://git.lastassault.de/adroslice/bfr/issues/3)
- Operations based on file Metadata
- Support for subdirectories
- Anything good that gets [requested](https://git.lastassault.de/adroslice/bfr/issues)!

## [Releases](https://git.lastassault.de/adroslice/bfr/-/releases)
## Screenshot
![](https://i.imgur.com/qHRTmJH.png)
